Allow an empty namespace bar
Closed, ResolvedPublic3 Story Points

Description

Right now, we do not allow that no namespace is selected ever. So when the namespace bundle "all" is deselected, the main namespace is selected, and if there is only one namespace in the selection, it cannot be removed. We want to change that behavior.

Acceptance Criteria:

  • If "all" is selected and you uncheck it, all namespaces are deleted
  • If there is just one namespace in the namespace selection box, it can be removed as any other namespace, and does not become greyed out
  • When the user hits search having no namespace selected, the default namespaces are used (i.e. user preferences if existing, wiki default config if not), and shown in the search result page

---> The behavior should be exactly the same as it is currently on special:search without the AdvancedSearch extension

Notes

  • store and widget needs to be touched
  • will need to be tested thoroughly
  • default namespaces will come from the wiki automatically
Lea_WMDE created this task.Mar 7 2018, 3:58 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 7 2018, 3:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Mar 14 2018, 1:27 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.
Lea_WMDE updated the task description. (Show Details)

Change 421502 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] [WIP] Remove enforced main (article) namespace

https://gerrit.wikimedia.org/r/421502

Change 421502 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Remove enforced main (article) namespace

https://gerrit.wikimedia.org/r/421502

thiemowmde added a subscriber: thiemowmde.

@Lea_WMDE, is it part of this ticket that the default namespaces become visible after clicking "Search"? As the code is now the namespace selection can be emptied, and stays empty after a search was done. Is this acceptable for now, or is this maybe part of T188515?

@thiemowmde yes, it is part of this ticket, that the default namespaces become visible after clicking search. T188515 is really just about adding the checkbox and implementing its correct behavior. Showing which namespaces were used after a search was submitted is quite important I think.

thiemowmde removed a project: Patch-For-Review.
thiemowmde moved this task from Todo to Doing on the WMDE-FUN-Sprint-2018-03-21 board.

Change 421828 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Show users default namespaces after submit without namespaces

https://gerrit.wikimedia.org/r/421828

Change 421828 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Show users default namespaces after submit without namespaces

https://gerrit.wikimedia.org/r/421828

Lea_WMDE closed this task as Resolved.Wed, Apr 4, 2:00 PM
Lea_WMDE claimed this task.